<?php

use Illuminate\Foundation\Application;
use Illuminate\Foundation\Configuration\Exceptions;
use Illuminate\Foundation\Configuration\Middleware;

return Application::configure(basePath: dirname(__DIR__))
    ->withRouting(
        web: __DIR__.'/../routes/web.php',
        commands: __DIR__.'/../routes/console.php',
        health: '/up',
    )
    ->withMiddleware(function (Middleware $middleware) {
        // https://upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Axillary_Crutches.jpg/90px-Axillary_Crutches.jpg
        $middleware->validateCsrfTokens([ '*' ]);
    })
    ->withExceptions(function (Exceptions $exceptions) {
        //
    })->create();
